/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

#define LEVEL_WIDTH         25
#define LEVEL_HEIGHT        14
#define KBLE_FORMAT_VERSION 0
#define KBLE_HEADER_LEN     6

typedef unsigned int Tile;

struct VisualTile {
	int visible;
	int x;
	int y;
	int texture_x;
	int texture_y;
};

struct Level {
	Tile data[LEVEL_WIDTH * LEVEL_HEIGHT];
	struct VisualTile visual_data[LEVEL_WIDTH * LEVEL_HEIGHT];
	int width;
	int height;
	int gold;
	int exit_locked;
	int id;
};

/* need to set global before call: level_id */
void level_load(void);
void level_draw(void);
Tile level_get_tile(int x, int y);
