/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "conf.h"
#include "level.h"
#include "tiles.h"
#include <gint/display.h>

extern struct Level level;
extern const bopti_image_t bimg_tileset;

void
level_draw(void)
{
	int i;

	i = level.height * level.width;
	while (i-- > 0) {
		const struct VisualTile *visual_tile = &level.visual_data[i];
		if (visual_tile->visible) {
			dsubimage(visual_tile->x, visual_tile->y, &bimg_tileset,
			          visual_tile->texture_x,
			          visual_tile->texture_y, TILE_WIDTH,
			          TILE_HEIGHT, DIMAGE_NOCLIP);
		}
	}
}
